package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: cy
 * @Date: 2022/5/19
 */
@ApiModel
public class CourseGroupLiveVo extends BaseEntity {
    @ApiModelProperty("直播课组id")
    private Long courseGroupId;
    @ApiModelProperty("直播课组名称")
    private String courseGroupName;
    @ApiModelProperty("声部id")
    private Long subjectId;
    @ApiModelProperty("声部名称")
    private String subjectName;
    @ApiModelProperty("预计购课人数")
    private Integer studentNum;
    @ApiModelProperty("课时总数")
    private Integer courseNum;
    @ApiModelProperty("已完成课时数")
    private Integer completeCount;
    @ApiModelProperty("老师id")
    private Long teacherId;
    @ApiModelProperty("老师姓名")
    private String teacherName;
    @ApiModelProperty("老师真实姓名")
    private String teacherRealName;
    @ApiModelProperty("课程组状态 ING进行中 COMPLETE已完成 DISSOLVE-未成课(解散课程) CANCEL已取消-未开始报名前可取消 APPLY报名中 NOT_SALE未开售")
    private String status;
    @ApiModelProperty("第一节课开始时间")
    private String startTime;

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public String getCourseGroupName() {
        return courseGroupName;
    }

    public void setCourseGroupName(String courseGroupName) {
        this.courseGroupName = courseGroupName;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getCourseNum() {
        return courseNum;
    }

    public void setCourseNum(Integer courseNum) {
        this.courseNum = courseNum;
    }

    public Integer getCompleteCount() {
        return completeCount;
    }

    public void setCompleteCount(Integer completeCount) {
        this.completeCount = completeCount;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherRealName() {
        return teacherRealName;
    }

    public void setTeacherRealName(String teacherRealName) {
        this.teacherRealName = teacherRealName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }
}
